devguard
Tasks

Get paginated tasks.

GET
/tasks/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

limit?number
Range5 <= value
Default100
page?number
Range1 <= value
Default1
organizationId*string
Length1 <= length
sortColumn?string
sortDirection?string

Value in

  • "asc"
  • "desc"
filterByStatus?string

Value in

  • "TODO"
  • "IN_PROGRESS"
  • "IN_REVIEW"
  • "DONE"
  • "CANCELLED"
filterByPriority?string

Value in

  • "URGENT"
  • "HIGH"
  • "MEDIUM"
  • "LOW"
filterByType?string

Value in

  • "POLICY"
  • "EVIDENCE"
  • "RISK"
  • "ASSET"
  • "GENERIC"
filterByAssigneeMemberId?string
filterByAssignedToMemberId?string
filterByFrameworks?array<string>
filterByOpen?boolean
filterByArchived?string
Default"active"

Value in

  • "active"
  • "archived"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/tasks/?organizationId=string"
{  "items": [    {      "id": "string",      "shortId": -9007199254740991,      "slug": "string",      "organizationId": "string",      "title": "string",      "description": "string",      "instructions": "string",      "type": "POLICY",      "status": "TODO",      "priority": "URGENT",      "category": "string",      "categoryOrder": -9007199254740991,      "order": -9007199254740991,      "deadline": "string",      "frequency": "string",      "assigneeMemberId": "string",      "assigneeBusinessRoleId": "string",      "controlCoverageId": "string",      "policyId": "string",      "evidenceId": "string",      "riskId": "string",      "assetId": "string",      "vendorId": "string",      "auditId": "string",      "taskTemplateId": "string",      "createdAt": "string",      "updatedAt": "string",      "archivedAt": "string",      "assigneeBusinessRole": {        "id": "string",        "slug": "string",        "name": "string",        "description": "string",        "archivedAt": "string",        "organizationId": "string",        "users": [          "string"        ]      },      "taskTemplate": {        "framework": {          "id": "string",          "name": "string",          "identifier": "string",          "identifierColor": "string"        }      },      "controlCoverage": {        "control": {          "framework": {            "id": "string",            "name": "string",            "identifier": "string",            "identifierColor": "string"          }        }      }    }  ],  "total": 0,  "page": 0,  "limit": 0}

How is this guide?